Package org.springframework.security.core.annotation

# Annotation Interface CurrentSecurityContext

@Target({PARAMETER,ANNOTATION_TYPE}) @Retention(RUNTIME) @Documented public @interface CurrentSecurityContext
Annotation that is used to resolve the `SecurityContext` as a method argument.

Since:
  5.2

  See: CurrentSecurityContextArgumentResolver For Servlet

  See: CurrentSecurityContextArgumentResolver For WebFlux

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`boolean`
`errorOnInvalidType`
True if a `ClassCastException` should be thrown when the current `SecurityContext` is the incorrect type.
`String`
`expression`
If specified, will use the provided SpEL expression to resolve the security context.

## Element Details

### errorOnInvalidType

boolean errorOnInvalidType
True if a `ClassCastException` should be thrown when the current `SecurityContext` is the incorrect type. Default is false.

Returns:
  whether or not to error on an invalid type

Default:
  false

### expression

String expression
If specified, will use the provided SpEL expression to resolve the security context. This is convenient if applications need to transform the result. For example, if an application needs to extract its custom `Authentication` implementation, then it could specify the appropriate SpEL like so:

     @CurrentSecurityContext(expression = "authentication") CustomAuthentication authentication

Returns:
  the expression to use

Default:
  ""